MINTPY-PLOT_NETWORK(1)

NAME
mintpy-plot_network - Display Network of Interferograms

DESCRIPTION
usage: plot_network.py [-h] [--show-kept]

[-d {pbase,offsetSNR,coherence,tbase}] [-v VLIM VLIM]
    [-t TEMPLATE_FILE] [--mask MASKFILE] [-c CMAP_NAME] [--cmap-vlist CMAP_VLIST CMAP_VLIST CMAP_VLIST] [--fs FS] [--lw LINEWIDTH] [--mc MARKERCOLOR] [--ms MARKERSIZE] [--every-year EVERY_YEAR] [--dpi FIG_DPI] [--figsize FIG_SIZE FIG_SIZE] [--notitle] [--number NUMBER] [--nosplit-cmap] [--save] [--nodisplay] file

Display Network of Interferograms

  positional arguments:

file
    file with network information, ifgramStack.h5 or coherenceSpatialAvg.txt

  options:

-h, --help
    show this help message and exit

--show-kept
    display kept interferograms only, without dropped interferograms

  Color-code network/matrix plot:

    color-code phase/offset pairs with coherence/baseline in network/matrix plot

-d {pbase,offsetSNR,coherence,tbase}, --dset {pbase,offsetSNR,coherence,tbase}
    dataset used to calculate the mean. (default: coherence)

-v VLIM VLIM, --vlim VLIM VLIM
    display range

-t TEMPLATE_FILE, --template TEMPLATE_FILE
    template file with options below:

mintpy.network.maskFile
    = auto #[file name, no], auto for waterMask.h5 or no for all pixels

mintpy.network.aoiYX
    = auto #[y0:y1,x0:x1 / no], auto for no, area of interest for coherence calculation

mintpy.network.aoiLALO
    = auto #[lat0:lat1,lon0:lon1 / no], auto for no - use the whole area

--mask MASKFILE
    mask file used to calculate the coherence. Default: waterMask.h5 or None.

-c CMAP_NAME, --colormap CMAP_NAME
    colormap name for the network display. Default: RdBu_truncate

--cmap-vlist CMAP_VLIST CMAP_VLIST CMAP_VLIST
    normalized start/jump/end value for truncated colormap. Default: 0.2 0.4 1.0

  Figure:

    Figure settings for display

--fs FS, --fontsize FS
    font size in points

--lw LINEWIDTH, --linewidth LINEWIDTH
    line width in points

--mc MARKERCOLOR, --markercolor MARKERCOLOR
    marker color

--ms MARKERSIZE, --markersize MARKERSIZE
    marker size in points

--every-year EVERY_YEAR
    number of years per major tick on x-axis

--dpi FIG_DPI
    DPI - dot per inch - for display/write

--figsize FIG_SIZE FIG_SIZE
    figure size in inches - width and length

--notitle
    Do not display figure title.

--number NUMBER
    number mark to be plot at the corner of figure.

--nosplit-cmap
    do not split colormap for coherence color

--save
    save the figure

--nodisplay
    save and do not display the figure

  example:

    plot_network.py inputs/ifgramStack.h5 plot_network.py inputs/ifgramStack.h5 -t smallbaselineApp.cfg --nodisplay #Save figures to files without display plot_network.py inputs/ifgramStack.h5 -t smallbaselineApp.cfg --show-kept #Do not plot dropped ifgrams plot_network.py inputs/ifgramStack.h5 -d tbase -v 0 365.25 -c RdYlBu_r #Color-code lines by temporal baseline plot_network.py inputs/ifgramStack.h5 -d pbase -v 0 180 -c RdYlBu_r #Color-code lines by perpendicular baseline plot_network.py coherenceSpatialAvg.txt

    # offsetSNR plot_network.py inputs/ifgramStack.h5 -d offsetSNR -v 0 20 --cmap-vlist 0 0.2 1